diff --git a/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/ModifierKey.java b/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/ModifierKey.java
index 758ea48f0..e7ebac4b8 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/ModifierKey.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/keyboard/keys/ModifierKey.java
@@ -97,16 +97,16 @@ public class ModifierKey extends Key{
             if (src.height != DEFAULT_HEIGHT) object.addProperty("height", src.height);
             if (src.controllerButton != null) object.addProperty("button", src.controllerButton.name().toLowerCase(Locale.ROOT));
 
-            boolean ku = !src.keyUp.sourceNamespaceId.toString().equals(DEFAULT_TEXTURE_UP);
-            boolean kd = !src.keyDown.sourceNamespaceId.toString().equals(DEFAULT_TEXTURE_DOWN);
-            boolean kuh = !src.keyUpHovered.sourceNamespaceId.toString().equals(DEFAULT_TEXTURE_UP_HOVERED);
-            boolean kdh = !src.keyDownHovered.sourceNamespaceId.toString().equals(DEFAULT_TEXTURE_DOWN_HOVERED);
+            boolean ku = !src.keyUp.namespaceId.toString().equals(DEFAULT_TEXTURE_UP);
+            boolean kd = !src.keyDown.namespaceId.toString().equals(DEFAULT_TEXTURE_DOWN);
+            boolean kuh = !src.keyUpHovered.namespaceId.toString().equals(DEFAULT_TEXTURE_UP_HOVERED);
+            boolean kdh = !src.keyDownHovered.namespaceId.toString().equals(DEFAULT_TEXTURE_DOWN_HOVERED);
             if (ku || kd || kuh || kdh) {
                 JsonObject textureObject = new JsonObject();
-                if (ku) textureObject.addProperty("up", src.keyUp.sourceNamespaceId.toString());
-                if (kd) textureObject.addProperty("down", src.keyDown.sourceNamespaceId.toString());
-                if (kuh) textureObject.addProperty("up_hovered", src.keyUpHovered.sourceNamespaceId.toString());
-                if (kdh) textureObject.addProperty("down_hovered", src.keyDownHovered.sourceNamespaceId.toString());
+                if (ku) textureObject.addProperty("up", src.keyUp.namespaceId.toString());
+                if (kd) textureObject.addProperty("down", src.keyDown.namespaceId.toString());
+                if (kuh) textureObject.addProperty("up_hovered", src.keyUpHovered.namespaceId.toString());
+                if (kdh) textureObject.addProperty("down_hovered", src.keyDownHovered.namespaceId.toString());
                 object.add("textures", textureObject);
             }
 
diff --git a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
index 9c57be8e3..8927e5511 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/modelviewer/ScreenModelViewer.java
@@ -15,8 +15,8 @@ import net.minecraft.client.gui.modelviewer.elements.ListenerTextFieldElement;
 import net.minecraft.client.gui.modelviewer.elements.IListenerElement;
 import net.minecraft.client.gui.options.ScreenOptions;
 import net.minecraft.client.gui.options.data.OptionsPages;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.client.render.shader.PhotoModeRenderer;
-import net.minecraft.client.render.shader.Shaders;
 import net.minecraft.client.render.shader.ShadersRenderer;
 import net.minecraft.client.render.texture.Texture;
 import net.minecraft.client.util.helper.FileOpener;
@@ -30,7 +30,7 @@ import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
 import org.lwjgl.input.Mouse;
-import org.lwjgl.opengl.GL11;
+import org.lwjgl.opengl.GL41;
 import org.slf4j.Logger;
 
 import java.io.File;
